<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"

                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="pageTitleText">Conceptos</ui:define>

    <ui:define name="contentPart">

        <h:form>
            <p:panel id="calculoNomina" header="Cálculo de Nómina" style="font-size: 70%;">
                <h:panelGrid  columns="6" cellpadding="10px" style=" width: 900px; background-color: rgb(210, 215, 214) 
                              !important; position: relative; left: 30px; "
                              columnClasses="centered2,centered,centered2,centered,centered2,centered" 
                              >
                    <f:facet name="header">

                    </f:facet>


                    <p:row>
                        <h:outputLabel for="fechaPago" value="Fecha de pago"/>
                    </p:row>
                    <p:row>
                        <p:outputLabel id="fechaPago" value="11/12/17" ></p:outputLabel>
                    </p:row>

                    <p:row>
                        <h:outputLabel for="frecuencia" value="Frecuencia"/>
                    </p:row>
                    <p:row>
                        <p:outputLabel id="frecuencia"  value="Quincenal"></p:outputLabel>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="fechaInicio" value="Fecha inicio"/>
                    </p:row>
                    <p:row>
                        <p:outputLabel id="fechaInicio" value="11/11/17" ></p:outputLabel>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="fechaFin" value="Fecha Fin"/>
                    </p:row>
                    <p:row>
                        <p:outputLabel id="fechaFin"  value="11/11/17" ></p:outputLabel>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="nombreNomina" value="Nombre de la nómina"/>
                    </p:row>
                    <p:row>
                        <p:outputLabel id="nombreNomina"  value="Primera quincena de Junio 2016" ></p:outputLabel>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="totalEmpleados" value="Total de empleados: "/>
                    </p:row>
                    <p:row>
                        <h:outputLabel id="totalEmpleados" value="100"/>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="empProcesados" value="Empleados procesados: "/>
                    </p:row>
                    <p:row>
                        <h:outputLabel id="empProcesados" value="100"/>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="tiempoPromedio" value="Tiempo promedio: "/>
                    </p:row>
                    <p:row>
                        <h:outputLabel id="tiempoPromedio" value="100"/>
                    </p:row>
                    <p:row>
                        <h:outputLabel for="tiempoTotal" value="Tiempo total:  "/>
                    </p:row>
                    <p:row>
                        <h:outputLabel id="tiempoTotal" value="100"/>
                    </p:row>

                </h:panelGrid>

                <br/>

                <!--                <h:panelGrid columns="6" cellpadding="10px" style=" width: 900px; background-color: rgb(210, 215, 214) 
                                              !important; position: relative; left: 30px; "
                                              columnClasses="centered2,centered,centered2,centered,centered2,centered" >
                                   
                                    
                                </h:panelGrid>-->
            </p:panel>
            <br/>
            <p:dataTable var="car" style="width: 900px; position: relative; left: 60px;" 
                         emptyMessage="No hay registros">
                <f:facet name="header">
                    Empleados
                </f:facet>
                <p:column style="width:16px">
                    <p:rowToggler />
                </p:column>
                <p:column headerText="Id" style="width: 40px;">
                    <h:outputText  />
                </p:column>
                <p:column headerText="Nombre">
                    <h:outputText  />
                </p:column>
                <p:column headerText="Tipo Empleado" style="width:200px">
                    <h:outputText  />
                </p:column>
                <p:rowExpansion>
                    <p:panelGrid  columns="2" columnClasses="label,value" style="width:300px">
                        <f:facet name="header">

                        </f:facet>

                        <h:outputText value="Id Empleado" />
                        <h:outputText value="123" />

                        <h:outputText value="Nombre" />
                        <h:outputText value="2017" />

                        <h:outputText value="Tipo de empleado" />
                        <h:outputText value="Eventual"/>


                    </p:panelGrid>
                </p:rowExpansion>
            </p:dataTable>
            <br/>
            
            <p:dataTable var="car" style="width: 900px; position: relative; left: 60px;"
                         emptyMessage="No hay registros">
                <f:facet name="header">
                    Conceptos
                </f:facet>
              
                <p:column headerText="Id" style="width: 40px;">
                    <h:outputText value="1" />
                </p:column>
                <p:column headerText="Concepto">
                    <h:outputText  value="Apoyo Vehicular"/>
                </p:column>
               
            
            </p:dataTable>
        </h:form>
    </ui:define>

</ui:composition>